Page MenuHomePhabricator

[Spike, 5hrs] Minerva browser test "Reference popup drawer.Closing the reference drawer" failing for 4 builds
Closed, ResolvedPublic0 Estimated Story Points

Description

This browser test has been failing for 4 builds starting August 11th causing Minerva builds to be read.

This is too consistent to be considered flakey

Given I am using the mobile site
Given I go to a page that has references
When I click on a reference
And I click on the page
Then I should not see the reference drawer

Note, i cannot replicate the error on
https://en.m.wikipedia.beta.wmflabs.org/wiki/Reference_name so it's likely only the browser test needs to be changed.

If after 4hrs we cannot find the cause please disable the test on the beta cluster build.

Event Timeline

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptAug 14 2018, 7:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Jdlrobson updated the task description. (Show Details)Aug 14 2018, 7:43 PM
Jdlrobson renamed this task from Minerva browser test "Reference popup drawer.Closing the reference drawer" failing for 4 builds to [Spike, ? hrs] Minerva browser test "Reference popup drawer.Closing the reference drawer" failing for 4 builds.Aug 14 2018, 8:46 PM
Jdlrobson added a project: Spike.
Jdlrobson added a comment.EditedAug 14 2018, 11:16 PM

(asynchronous estimation has been started to define timebox - let's make sure that's defined before moving this from todo to doing)

Jdlrobson renamed this task from [Spike, ? hrs] Minerva browser test "Reference popup drawer.Closing the reference drawer" failing for 4 builds to [Spike, 5hrs] Minerva browser test "Reference popup drawer.Closing the reference drawer" failing for 4 builds.Aug 15 2018, 4:06 PM
Jdlrobson set the point value for this task to 0.
Jdlrobson moved this task from To Do to Doing on the Readers-Web-Kanbanana-Board-Old board.

Change 453071 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/skins/MinervaNeue@master] QA: Run references test per commit

https://gerrit.wikimedia.org/r/453071

Change 453071 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] QA: Run references test per commit

https://gerrit.wikimedia.org/r/453071

Can skip qa. Just an update to tests. Have triggered new build

Jdlrobson reassigned this task from Jdlrobson to nray.Aug 20 2018, 5:05 PM

Nick in standup said he'd take a look at this.

nray closed this task as Resolved.Aug 21 2018, 12:13 AM

References drawer browser tests are now passing. Yay!